#include <bits/stdc++.h>

using namespace std;

struct pacijent{
    string s;
    int p;
};

pacijent a[10000];

int main()
{
    int n;
    cin>>n;
    int o,a,b,ab;
    cin>>o>>a>>b>>ab;
    for(int i=0;i<n;i++)
    {
        string s;
        int p;
        cin>>s>>p;
        a[i] = {s,p};
    }
    for(int i=0;i<n;i++)
    {
        
    }
    
    return 0;
}